/*============================================================================
 *
 *  Program:   mguide.rexx
 *
 *  Version:   1.0 (30.09.94)
 *
 *  Purpose:   read in a file of movietitles and create a movieguide 
 *
 *  Author:    Bernd Ernesti & Andre Bernhardt
 *
 *  Copyright (c) 1993 Bernd Ernesti
 *
 *  History:
 *
 *============================================================================
 */

options failat 255
options results

parse arg filename

filename = strip(filename,'B','"')

if strip(filename) = '' then
	do
		say 'MGuide.rexx  1994 Bernd Ernesti'
		say 'usage: rx MGuide [filename]'
		exit
	end


if ~open(file,filename,'r') then
	do
		say 'cannot find file "'filename'"'
		say 'Exiting'
		return 10
	end

	n = 0
	line.1 = ''

	do n=1 until eof(file)
		line.n = strip(readln(file))
		if line.n = '' then n = n - 1
	end

if line.1 = '' then n = 0

	call close(file)

	if n = 0 then 
		do
			say 'No entries in "'filename'"'
			say 'Exiting'
			return 10
		end

	line.0 = n

port_name = "MOVIEMUI"

if ( ~show( 'p', port_name ) ) then do
 say "Please start MovieMUI first."
 exit
end


do j = 1 to line.0

 address value port_name

 'GET "'||line.j||'" FROM MOVIE'

 if RC~=0 then 
  say 'The movie '||line.j||' is not in the database. Please check correct spelling.'
 else do
  say result
  say ""
 end 

end
