/*============================================================================
 *
 *  Program:   listall.rexx
 *
 *  Version:   1.0
 *
 *  Purpose:   - get a filmography of all people that worked on a given movie
 *             - get all information of any movie of a given pattern
 *
 *  Author:    Georg Magschok & Andre Bernhardt
 *
 *  Copyright (c) Andre Bernhardt 1993-94
 *
 *  History:
 *
 *============================================================================
 */

options failat 255
options results

parse arg line

if trim(line)='' then do
 say 'LISTALL.rexx  (c) 1994 by Andre Bernhardt & Georg Magschok'
 say 'usage:   rx listall [movietitle|movietitlepattern]'
 exit
end

/* '*' durch '#?' ersetzen */ 
do while pos('*',line)>0
 sternpos=pos('*',line)
 line=left(line,sternpos-1)||'#?'||right(line,length(line)-sternpos)
end

port_name = "MOVIEMUI"

if ( ~show( 'p', port_name ) ) then do
 say "Please start MovieMUI first."
 exit
end

address value port_name

'UNSELECT KEY=0' ; skey=result
'SELECT KEY='||skey||' "'||line||'" FROM MOVIE' ; numentries=result

if numentries=0 | RC~=0 then 
 say 'There is no movie that matches the given title/pattern'
else do
 'GET "'||line||'" FROM MOVIE'
 if RC=0 then do
  say result
  say ""
 end 
 do i=1 to numentries
  'GETFROMSELECTION KEY='||skey||' NUMBER='||i ; person=result
  dashpos=pos('===',person)
  person=right(person,length(person)-dashpos+1)
  say person
 end
end
'ENDSELECTION KEY='skey
exit
