/*============================================================================
 *
 *  Program:   mtrace.rexx
 *
 *  Version:   1.1
 *
 *  Purpose:   - create a movieguide of all movies of a given person
 *             - get a filmography of all people that match a given pattern
 *
 *  Author:    Georg Magschok & Andre Bernhardt
 *
 *  Copyright (c) Andre Bernhardt 1993-94
 *
 *  History:
 *
 *============================================================================
 */

options failat 255
options results

parse arg line

if trim(line)='' then do
 say 'MTRACE.rexx  (c) 1994 by Andre Bernhardt & Georg Magschok'
 say 'usage:   rx mtrace [name|name pattern]'
 exit
end

/* '*' durch '#?' ersetzen */ 
do while pos('*',line)>0
 sternpos=pos('*',line)
 line=left(line,sternpos-1)||'#?'||right(line,length(line)-sternpos)
end

port_name = "MOVIEMUI"

if ( ~show( 'p', port_name ) ) then do
 say "Please start MovieMUI first."
 exit
end

address value port_name

'UNSELECT KEY=0' ; skey=result
'SELECT KEY='||skey||' "'||line||'" FROM ANY' ; numentries=result

if numentries=0 | RC~=0 then 
 say 'There is no person that matches the given name/pattern'
else do
 'GET "'||line||'" FROM ANY'
 if RC=0 then do
  say result
  say ""
 end 
 do i=1 to numentries
  'GETFROMSELECTION KEY='||skey||' NUMBER='||i ; movie=result
  dashpos=pos('===',movie)
  movie=right(movie,length(movie)-dashpos+1)
  say movie
 end
end
'ENDSELECTION KEY='skey
exit
